package com.srs.stureg.service.impl;

import java.util.List;
import com.srs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.srs.stureg.mapper.OfflineCheckInMapper;
import com.srs.stureg.domain.OfflineCheckIn;
import com.srs.stureg.service.IOfflineCheckInService;

/**
 * 现场办理学生信息Service业务层处理
 * 
 * @author 邓
 * @date 2023-05-20
 */
@Service
public class OfflineCheckInServiceImpl implements IOfflineCheckInService 
{
    @Autowired
    private OfflineCheckInMapper offlineCheckInMapper;

    /**
     * 查询现场办理学生信息
     * 
     * @param id 现场办理学生信息主键
     * @return 现场办理学生信息
     */
    @Override
    public OfflineCheckIn selectOfflineCheckInById(Long id)
    {
        return offlineCheckInMapper.selectOfflineCheckInById(id);
    }

    /**
     * 查询现场办理学生信息列表
     * @param offlineCheckIn 现场办理学生信息
     * @return 现场办理学生信息
     */
    @Override
    public List<OfflineCheckIn> selectOfflineCheckInList(OfflineCheckIn offlineCheckIn)
    {
        return offlineCheckInMapper.selectOfflineCheckInList(offlineCheckIn);
    }

    /**
     * 新增现场办理学生信息
     * 
     * @param offlineCheckIn 现场办理学生信息
     * @return 结果
     */
    @Override
    public int insertOfflineCheckIn(OfflineCheckIn offlineCheckIn)
    {
        offlineCheckIn.setCreateTime(DateUtils.getNowDate());
        return offlineCheckInMapper.insertOfflineCheckIn(offlineCheckIn);
    }

    /**
     * 修改现场办理学生信息
     * 
     * @param offlineCheckIn 现场办理学生信息
     * @return 结果
     */
    @Override
    public int updateOfflineCheckIn(OfflineCheckIn offlineCheckIn)
    {
        offlineCheckIn.setUpdateTime(DateUtils.getNowDate());
        return offlineCheckInMapper.updateOfflineCheckIn(offlineCheckIn);
    }

    /**
     * 批量删除现场办理学生信息
     * 
     * @param ids 需要删除的现场办理学生信息主键
     * @return 结果
     */
    @Override
    public int deleteOfflineCheckInByIds(Long[] ids)
    {
        return offlineCheckInMapper.deleteOfflineCheckInByIds(ids);
    }

    /**
     * 删除现场办理学生信息信息
     * 
     * @param id 现场办理学生信息主键
     * @return 结果
     */
    @Override
    public int deleteOfflineCheckInById(Long id)
    {
        return offlineCheckInMapper.deleteOfflineCheckInById(id);
    }
}
